Bug 1351139 - The volume option "nfs.enable-ino32" should be a per volume one, not global
Summary: The volume option "nfs.enable-ino32" should be a per volume one, not global
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: nfs
Version: mainline
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1350851
TreeView+ depends on / blocked
 
Reported: 2016-06-29 10:42 UTC by Niels de Vos
Modified: 2019-07-05 07:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1350851
Environment:
Last Closed: 2019-07-05 07:27:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 21674 0 None Abandoned nfs: \"nfs.enable-ino32\" should be set per volume 2019-08-09 19:30:32 UTC

Description Niels de Vos 2016-06-29 10:42:30 UTC
Description of problem:

Volume option, "nfs.enable-ino32" behaving as a global option for all volumes instead providing a single volume for setting the volume option,

[root@node1 ~]# gluster volume set test nfs.enable-ino32 on
volume set: success

[root@node1 ~]# gluster volume info |grep "nfs.enable-ino32"
nfs.enable-ino32: on
nfs.enable-ino32: on
nfs.enable-ino32: on
nfs.enable-ino32: on

Version-Release number of selected component (if applicable):
all

How reproducible:
Always

Steps to Reproduce
1. Create a few volumes, type does not matter
2. Set the volume option, 

    # gluster v set test nfs.enable-ino32 on


Actual results:
Volume option is setting as a global option for all the volume's.

Expected results:
Volume option should set for single volume.

Additional info:
The change that is needed would be similar to the "nfs.disable" option. The enable_ino32 boolean will need to move from the nfs_state structure to nfs3_state. nfs3_iatt_gfid_to_ino() can then get a 2nd argument "gf_boolean ino32".

I see this as an EasyFix, a new contributor should be able to implement the changes.

Comment 2 Worker Ant 2018-11-19 08:47:42 UTC
REVIEW: https://review.gluster.org/21674 (nfs: \"nfs.enable-ino32\" should be set per volume) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 4 Amar Tumballi 2019-07-05 07:27:21 UTC
Marking as DEFERRED, to represent the current status. No one is looking at it. Can be picked up later.


Note You need to log in before you can comment on or make changes to this bug.